Package org.pgpainless.decryption_verification

# Class MessageInspector

java.lang.Object
org.pgpainless.decryption_verification.MessageInspector

public final class MessageInspector extends Object
Inspect an OpenPGP message to determine IDs of its encryption keys or whether it is passphrase protected.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MessageInspector.EncryptionInfo`

## Method Summary

Modifier and Type
Method
Description
`static MessageInspector.EncryptionInfo`
`determineEncryptionInfoForMessage(InputStream dataIn)`
Parses parts of the provided OpenPGP message in order to determine which keys were used to encrypt it.
`static MessageInspector.EncryptionInfo`
`determineEncryptionInfoForMessage(String message)`
Parses parts of the provided OpenPGP message in order to determine which keys were used to encrypt it.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### determineEncryptionInfoForMessage

public static MessageInspector.EncryptionInfo determineEncryptionInfoForMessage(String message) throws org.bouncycastle.openpgp.PGPException, IOException
Parses parts of the provided OpenPGP message in order to determine which keys were used to encrypt it.

Parameters:
  `message` - OpenPGP message
Returns:
  encryption info
Throws:
  `org.bouncycastle.openpgp.PGPException` - in case the message is broken
  `IOException` - in case of an IO error

### determineEncryptionInfoForMessage

public static MessageInspector.EncryptionInfo determineEncryptionInfoForMessage(InputStream dataIn) throws IOException, org.bouncycastle.openpgp.PGPException
Parses parts of the provided OpenPGP message in order to determine which keys were used to encrypt it. Note: This method does not rewind the passed in Stream, so you might need to take care of that yourselves.

Parameters:
  `dataIn` - openpgp message
Returns:
  encryption information
Throws:
  `IOException` - in case of an IO error
  `org.bouncycastle.openpgp.PGPException` - if the message is broken